﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace View
{
    // used for the drop down menu buttons when selecting units
    class Button
    {
        private ButtonType buttonType;      // holds the button type
        private Vector2 pixelCoordinates;       // holds the coordinates of the menu button in question
        private Texture2D buttonImage;
        private bool isActive;

        public Button(ButtonType type, Vector2 coordinates, Texture2D image)
        {
            buttonType = type;
            pixelCoordinates = coordinates;
            buttonImage = image;
            isActive = true;
        }

        public Vector2 getPixelCoordinates()
        {
            return pixelCoordinates;
        }

        public ButtonType getButtonType()
        {
            return buttonType;
        }

        public Texture2D getImage()
        {
            return buttonImage;
        }

        public void setPixelCoordinates(int x, int y)
        {
            Vector2 coordinates = new Vector2(x, y);
            pixelCoordinates = coordinates;
        }

        //sets whether this button should be displayed when dropdownmenu is active
        public void setActive(bool a)
        {
            isActive = a;
        }

        //returns whether this button is active
        public bool getActive()
        {
            return isActive;
        }
    }

    enum ButtonType
    {
        Attack,
        AttackConfirm,
        Move,
        Items,
        Wait
    }
}
