﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    class Node
    {
        public int movabilityObstruction { get; set; } // index for hindrance of the movability of a unit; 0 = no hindrance-TODO
        public bool isObstacle { get; set; } // indicates whether a unit can stand inside the tile
        public Unit unitOnNode { get; set; } // holds the unit that is on the node
        public bool isMarked { get; set; }  // used for BFS path finding    
        private int positionX;              // position x on the grid
        private int positionY;              // position y on the grid
        

        public Node(int x, int y)
        {
            positionX = x;
            positionY = y;
            movabilityObstruction = 0;      // defaults to no hindrance in unit movement
            isObstacle = false;             // default to non-obstacle tile
        }

        public Vector2 getPosition()
        {
            Vector2 position = new Vector2(getPositionX()*32, getPositionY()*32);
            return position;
        }

        public int getPositionX()
        {
            return positionX;
        }

        public int getPositionY()
        {
            return positionY;
        }

        // indicates whether node is occupied by a unit
        public bool isOccupied()
        {
            if (unitOnNode != null)
            {
                return true;
            }
            return false;
        }
    }
}
